# Uses of Class
org.eclipse.gef.KeyStroke

Packages that use KeyStroke
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.

## Uses of KeyStroke in org.eclipse.gef

Methods in org.eclipse.gef that return KeyStroke
Modifier and Type
Method
Description
`static KeyStroke`
KeyStroke.`getPressed(char character, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.character` and `KeyEvent.stateMask` during a press event.
`static KeyStroke`
KeyStroke.`getPressed(char character, int keyCode, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.character`, `KeyEvent.keyCode`, and `KeyEvent.stateMask` during a press event.
`static KeyStroke`
KeyStroke.`getPressed(int keyCode, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.keyCode` and `KeyEvent.stateMask` during a press event.
`static KeyStroke`
KeyStroke.`getReleased(char character, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.character` and `KeyEvent.stateMask` during a release event.
`static KeyStroke`
KeyStroke.`getReleased(char character, int keyCode, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.character`, `KeyEvent.keyCode`, and `KeyEvent.stateMask` during a release event.
`static KeyStroke`
KeyStroke.`getReleased(int keyCode, int stateMask)`
Constructs a KeyStroke that will match the given `KeyEvent.keyCode` and `KeyEvent.stateMask` during a release event.
Methods in org.eclipse.gef with parameters of type KeyStroke
Modifier and Type
Method
Description
`void`
KeyHandler.`put(KeyStroke keystroke, IAction action)`
Maps a specified `KeyStroke` to an `IAction`.
`void`
KeyHandler.`remove(KeyStroke keystroke)`
Removed a mapped `IAction` for the specified `KeyStroke`.